# TSPVodeGetIterations

Gets the number of nonlinear and linear iterations used so far by PVode.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSPVodeGetIterations(TS ts,int *nonlin,int *lin)

Not Collective

### Input parameters

ts -the time-step context

### Output Parameters

| nonlin | - number of nonlinear iterations
| lin | - number of linear iterations

### Notes

These return the number since the creation of the TS object

### Keywords

non-linear iterations, linear iterations

### See Also

TSPVodeSetType(), TSPVodeSetGMRESRestart(),
TSPVodeSetLinearTolerance(), TSPVodeSetGramSchmidtType(), TSPVodeSetTolerance(), TSPVodeGetIterations(), TSPVodeSetType(), TSPVodeSetGMRESRestart(), TSPVodeSetLinearTolerance(), TSPVodeSetTolerance(), TSPVodeGetPC(), TSPVodeSetExactFinalTime()

Level:advanced
Location:src/ts/impls/implicit/pvode/petscpvode.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages